ZSH_THEME_GIT_PROMPT_ADDED="A"
ZSH_THEME_GIT_PROMPT_MODIFIED="M"
ZSH_THEME_GIT_PROMPT_DELETED="M"
ZSH_THEME_GIT_PROMPT_RENAMED="M"
ZSH_THEME_GIT_PROMPT_UNMERGED=""
ZSH_THEME_GIT_PROMPT_UNTRACKED="U"

function my_git_color() {
    local state="$(git_prompt_status)"
    case "$state" in
        *"A"*) echo -n "%B%F{green}";;
        *"M"*) echo -n "%B%F{yellow}";;
        *"U"*) echo -n "%F{141}";;
        *) echo -n "%F{red}";;
    esac
}

ZSH_THEME_GIT_PROMPT_PREFIX="%F{blue} [$(my_git_color)"
ZSH_THEME_GIT_PROMPT_SUFFIX="%b%F{blue}]%f "
ZSH_THEME_GIT_PROMPT_DIRTY=""
ZSH_THEME_GIT_PROMPT_CLEAN=""
ZSH_THEME_VIRTUALENV_PREFIX="%F{white}[%B%F{green}"
ZSH_THEME_VIRTUALENV_SUFFIX="%b%F{white}]%f "

PROMPT_CHAR="%B%F{grey}\$%b%f"
PROMPT='%B%(?:%F{green}→:%F{red}→)%b%f %F{cyan}%c%f $PROMPT_CHAR%f '
RPROMPT='$(virtualenv_prompt_info)$(git_prompt_info)'
